@echo OFF
@if not "%ECHO%"=="" echo %ECHO%
rem $Workfile: mtplogon.bat $ $Revision: 2 $ $Date: 12/06/97 6:35p $
rem $Archive: /TimH/Pubs/Books/Macmillan/Windows NT Scripting/Scripts/mtplogon.bat $

rem Alter these settings to customize the logon script
set INSTALLSHARE=\\SERVER\SHARE
set INSTALLDIR=\winnt\system32\repl\export\scripts
set DUMPFILE=c:\mtplogon.dmp
set TIMESERVER=\\SERVER
set GLOBALDRIVE=h:
set GLOBALSHARE=\\SERVER1\GLOBAL
set GROUPDRIVE=g:
set GROUPSERVER=\\SERVER
set GROUP1=SalesMarketing
set GROUP2=HumanRes
set GROUP3=
set GROUP4=
set HOMEDRIVE=u:

rem Process INSTALL request
if not "%OS%"=="Windows_NT" goto NOTNT1
if /i "%1"=="/install" (
	echo Installing script on server...
	xcopy %0 %INSTALLSHARE%%INSTALLDIR% /R
	goto :EOF
)
:NOTNT1

rem Start of logon script
echo --- LOGON SCRIPT START $Revision: 2 $ ---
set MTPLOGONVER=$Revision: 2 $

rem Set OS specific switches
set NETSW=/yes
if "%OS%"=="Windows_NT" set NETSW=/persistent:no %NETSW%

rem Set the computer clock from the time-server clock
if "%TIMESERVER%"=="" goto NOTIMES
	echo --- Set computer time from %TIMESERVER% ---
	net time %TIMESERVER% /set /yes
:NOTIMES

rem Map global drives
if "%GLOBALDRIVE%"=="" goto NOGLOBAL
	echo --- Map %GLOBALDRIVE% to %GLOBALSHARE% ---
	if exist %GLOBALDRIVE%*.* net use %GLOBALDRIVE% /delete
	net use %GLOBALDRIVE% %GLOBALSHARE% %NETSW%
:NOGLOBAL

rem Map group drives
if not "%OS%"=="Windows_NT" goto NOGROUPS
if "%GROUPDRIVE%"=="" goto NOGROUPS
	if exist %GROUPDRIVE%*.* net use %GROUPDRIVE% /delete
	if "%GROUP1%"=="" goto NOGROUP1
	ifmember %GROUP1%
	if not errorlevel 1 goto NOGROUP1
		echo --- Map %GROUPDRIVE% to %GROUPSERVER%\%GROUP1%
		net use %GROUPDRIVE% %GROUPSERVER%\%GROUP1% %NETSW%
	:NOGROUP1
	if "%GROUP2%"=="" goto NOGROUP2
	ifmember %GROUP2%
	if not errorlevel 1 goto NOGROUP2
		echo --- Map %GROUPDRIVE% to %GROUPSERVER%\%GROUP2%
		net use %GROUPDRIVE% %GROUPSERVER%\%GROUP2% %NETSW%
	:NOGROUP2
	if "%GROUP3%"=="" goto NOGROUP3
	ifmember %GROUP3%
	if not errorlevel 1 goto NOGROUP3
		echo --- Map %GROUPDRIVE% to %GROUPSERVER%\%GROUP3%
		net use %GROUPDRIVE% %GROUPSERVER%\%GROUP3% %NETSW%
	:NOGROUP3
	if "%GROUP4%"=="" goto NOGROUP4
	ifmember %GROUP4%
	if not errorlevel 1 goto NOGROUP4
		echo --- Map %GROUPDRIVE% to %GROUPSERVER%\%GROUP4%
		net use %GROUPDRIVE% %GROUPSERVER%\%GROUP4% %NETSW%
	:NOGROUP4
:NOGROUPS

rem Map users home directory
if "%HOMEDRIVE%"=="" goto NOHOME
	echo --- Map %HOMEDRIVE% to home directory ---
	if exist %HOMEDRIVE%*.* net use %HOMEDRIVE% /delete
	net use %HOMEDRIVE% /home %NETSW%
:NOHOME

rem Execute logon script extensions
if not exist c:\mtplogon.bat goto NOTCEXT
	echo --- Execute machine-specific logon extension ---
	call c:\mtplogon.bat
:NOTCEXT
if not exist u:\mtplogon.bat goto NOTUEXT
	echo --- Execute user-specific logon extension ---
	call u:\mtplogon.bat
:NOTUEXT

rem Special fix for Windows logon script end bugs
if exist c:\windows\*.* echo . >c:\windows\lmscript.$$$
if exist c:\win95\*.* echo . >c:\windows\lmscript.$$$

rem End of logon script
echo --- LOGON SCRIPT END $Revision: 2 $ ---
if not "%DUMPFILE%"=="" net use >%DUMPFILE%
if not "%DUMPFILE%"=="" set >>%DUMPFILE%
u:
