@echo OFF
@if not "%ECHO%"=="" echo %ECHO%
@if not "%OS%"=="Windows_NT" goto DOSEXIT
rem $Workfile: _libskel.bat $ $Revision: 2 $ $Date: 12/04/97 9:51a $
rem $Archive: /TimH/Pubs/Books/Macmillan/Windows NT Scripting/Scripts/_libskel.bat $

rem If no arguments, show version information and exit
if "%1"=="" (
	(echo Script Library Skeleton [%0] $Revision: 2 $)
	(goto :EOF)
)

rem At least one argument, so dispatch to procedure
set _PROC=%1
shift /1
goto %_PROC%

rem /////////////////////////////////////////////////////////////////////////
rem INIT procedure
rem Must be called in local state before other procs are used
rem
:INIT
if defined TRACE %TRACE% [proc %0 %*]

goto :EOF

rem /////////////////////////////////////////////////////////////////////////
rem CHECKX86 procedure
rem Sample procedure verifies that we are running on an Intel CPU
rem
rem Returns:	RET=1 if on x86, else RET=0
rem
:CHECKX86
if defined TRACE %TRACE% [proc %0 %*]
	if /i "%PROCESSOR_ARCHITECTURE%"=="x86" (set RET=1) else (set RET=0)
if defined TRACE %TRACE% [proc %0 returns {%RET%}]
goto :EOF

rem /////////////////////////////////////////////////////////////////////////
rem Additional procedures go here...

rem These must be the FINAL LINES in the script...
:DOSEXIT
echo This script requires Windows NT

rem /////////////////////////////////////////////////////////////////////////
